IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'dbo.[CP_AppEve_ClienteActivity]') 
                   and OBJECTPROPERTY(id, N'IsProcedure') = 1 )
BEGIN
    DROP PROCEDURE dbo.[CP_AppEve_ClienteActivity]
END
GO

CREATE PROCEDURE [dbo].[CP_AppEve_ClienteActivity] (
	@pId_Evento SMALLINT,
	@pId_Cliente INT,
	@pId_Trans INT,
	@pItem SMALLINT
)
AS
BEGIN

DECLARE @Credencial_Nro VARCHAR(30)
DECLARE @Fecha_Proceso DATETIME
DECLARE @Fecha_Caducidad DATETIME
DECLARE @Hotel VARCHAR(50)
DECLARE @Habitacion CHAR(5)
DECLARE @Mesa CHAR(5)
DECLARE @Datos_Adicionales VARCHAR(8000)
DECLARE @Color CHAR(7)
DECLARE @Acomp VARCHAR(100)

-- TAG
SELECT @Credencial_Nro = Credencial_Nro FROM Clientes WHERE Id_Cliente = @pId_Cliente


-- INGRESO
SELECT @Fecha_Proceso = Fecha_Proceso
	FROM CBTES_ITEMS I, PRODUCTOS P
	WHERE I.ID_PRODUCTO = P.ID_PRODUCTO AND P.VENDIBLE = 1 AND P.TIPO <> 'L'
	AND P.ID_FAMILIA NOT IN (dbo.CF_xParam('Flias_Habitaciones') , dbo.CF_xParam('Flias_Mesas'))
	AND I.ID_TRANS = @pId_Trans AND I.Item = @pItem


-- EGRESO
SELECT @Fecha_Caducidad = Fecha_Caducidad
	FROM CBTES_ITEMS I, PRODUCTOS P
	WHERE I.ID_PRODUCTO = P.ID_PRODUCTO AND P.VENDIBLE = 1 AND P.TIPO <> 'L'
	AND P.ID_FAMILIA NOT IN (dbo.CF_xParam('Flias_Habitaciones') , dbo.CF_xParam('Flias_Mesas'))
	AND I.ID_TRANS = @pId_Trans AND I.Item = @pItem
	

-- HOTEL / HABITACION
SELECT 
	@Habitacion = coalesce(columna,''),
	@Hotel = coalesce(e.Descripcion, '')
	FROM productos p,Empresas_Sedes e
	WHERE p.id_producto =  dbo.CF_AppEve_Habit(@pId_Cliente, @pId_Trans)
	and e.Id_Sede = dbo.CF_AppEve_Hotel(@pId_Cliente, @pId_Trans)


-- UBICACION
SELECT @Mesa = ISNULL(I.Calle,'')
FROM Cbtes_Items I, Cbtes C, Productos P, Cbtes_Tipos T, Clientes E, Clientes K
	WHERE I.Id_Trans = @pId_Trans
	AND I.Id_Cliente = @pId_Cliente
	AND I.Id_Trans = C.Id_Trans
	AND P.Id_Producto = I.Id_Producto
	AND E.Id_cliente = ISNULL(I.Id_cliente,C.Id_cliente)
	AND K.ID_CLIENTE = ISNULL(E.ID_CLIENTE_REF,0)
	AND T.Id_Tipo_Cbte = C.Id_Tipo_Cbte
	AND T.Compromete_Pedido IN(1,-1)
	AND C.ID_ESTADO_CBTE IN (1,2,4)
	AND (P.Id_Producto IN ('ACOMP') OR P.Id_Familia IN (dbo.CF_xParam('Flias_Mesas')))
	AND C.id_Trans IN (SELECT distinct(i2.id_trans)
					FROM Cbtes_Items I2 ,Productos P2, Prod_Listas_Precios_Items LPI
					WHERE I2.Id_Producto = P2.Id_Producto
					  AND P2.Id_Familia NOT IN (dbo.CF_xParam('Flias_Habitaciones'), dbo.CF_xParam('Flias_Mesas'))
					  AND P2.Vendible = 1
					  AND LPI.Id_Producto = I2.Id_Producto
					  AND I2.Id_Trans = @pId_Trans )
					  

-- DATOS ADICIONALES
select @Datos_Adicionales = dbo.CF_AppEve_DatosAdicionales(@pId_Cliente, @pId_Evento)


-- COLOR - CATEGORIA
select @Color = dbo.SF_AppEve_Cred_Color(@pId_Cliente)

--Datos del acompañante
SET @Acomp = dbo.CF_AppEve_ParticipanteConAcomp(@pId_Trans, @pId_Cliente)

-- RESPUESTA
SELECT 
	@Credencial_Nro as Credencial_Nro, 
	@Fecha_Proceso as Fecha_Proceso, 
	@Fecha_Caducidad as Fecha_Caducidad,
	@Hotel as Hotel,
	@Habitacion as Habitacion,
	@Mesa as Mesa,
	@Datos_Adicionales as Datos_Adicionales,
	@Color as Color,
	@Acomp	AS Acomp




END

